For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTGetPhoneNumberReports
        • POSTAttachPhoneNumber
        • POSTBindPhoneNumberToApplication
        • POSTDeactivatePhoneNumber
        • POSTSetPhoneNumberInfo
        • POSTGetPhoneNumbers
        • POSTIsAccountPhoneNumber
        • POSTGetPhoneNumbersAsync
        • POSTGetNewPhoneNumbers
        • POSTGetPhoneNumberCategories
        • POSTGetPhoneNumberCountryStates
        • POSTGetPhoneNumberRegions
        • POSTGetActualPhoneNumberRegion
        • POSTGetAccountPhoneNumberCountries
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferencePhone Numbers

GetAccountPhoneNumberCountries

||View as Markdown|
POST
https://api.voximplant.com/platform_api/GetAccountPhoneNumberCountries
POST
/platform_api/GetAccountPhoneNumberCountries
$curl -X POST https://api.voximplant.com/platform_api/GetAccountPhoneNumberCountries \
> -H "Authorization: Bearer <token>"
200Example 1
1{
2 "result": [
3 "US",
4 "RU",
5 "DE"
6 ]
7}
Gets all countries where the specific account has phone numbers. Allowed roles: `Owner`, `Admin`, `Developer`, `Supervisor`, `Accountant`, `Support`, `Payer`, `Verification`. **Example request:** Get the countries where the account with id = 1 has phone numbers attached to the application with id = 1.
Was this page helpful?
Previous

GetActualPhoneNumberRegion

Next

AddPstnBlackListItem

Built with

Gets all countries where the specific account has phone numbers.

Allowed roles: Owner, Admin, Developer, Supervisor, Accountant, Support, Payer, Verification.

Example request: Get the countries where the account with id = 1 has phone numbers attached to the application with id = 1.

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

application_idlist of integersOptional

The application ID list separated by semicolons (;) to filter

Response

Successful response
resultlist of strings
Array of country codes